Package Scientific :: Package Geometry :: Module Objects3D :: Class RhombicLattice

[frames] | no frames]

# Class RhombicLattice

    Lattice --+
              |
             RhombicLattice

Known Subclasses:
  - BravaisLattice

Lattice with rhombic elementary cell

A lattice object contains values defined on a finite periodic structure that is created by replicating a given elementary cell along the three lattice vectors. The elementary cell can contain any number of points.

Instance Methods

__init__(self, elementary_cell, lattice_vectors, cells, function=None, base=None) |

makeLattice(self, elementary_cell, lattice_vectors, cells, base) |

Inherited from `Lattice`: `__getitem__`, `__len__`, `__setitem__`

Method Details

### __init__(self, elementary_cell, lattice_vectors, cells, function=None, base=None)
(Constructor)

Parameters:
  - `elementary_cell` (`list` of Scientific.Geometry.Vector) - a list of the points in the elementary cell
  - `lattice_vectors` (`tuple` of three Scientific.Geometry.Vector) - the edges of the elementary cell
  - `cells` - a tuple of three integers, indicating how often the elementary cell should be replicated along each lattice vector
  - `cells` - `tuple` of `int`
  - `function` (callable) - the function to be applied to each point in the lattice in order to obtain the value stored in the lattice. If no function is specified, the point itself becomes the value stored in the lattice.
  - `base` (Scientific.Geometry.Vector) - an offset added to all lattice points
Overrides: Lattice.__init__